# Homebrew (generated by `brew shellenv fish`, reformatted)
set -gx HOMEBREW_PREFIX "/opt/homebrew";
set -gx HOMEBREW_CELLAR "/opt/homebrew/Cellar";
set -gx HOMEBREW_REPOSITORY "/opt/homebrew";

fish_add_path --global --move --path "/opt/homebrew/bin" "/opt/homebrew/sbin";

if test -n "$MANPATH[1]"
    set -gx MANPATH '' $MANPATH
end

if not contains "/opt/homebrew/share/info" $INFOPATH
    set -gx INFOPATH "/opt/homebrew/share/info" $INFOPATH
end

# Ruby
fish_add_path --global --move --path "$(brew --prefix ruby)/bin"

# Node.js
set -gx NODEPATH "$(brew --prefix node@$NODE_VERSION)"
fish_add_path --global --move --path "$NODEPATH/bin"

# pnpm
set -gx PNPM_HOME "$HOME/Library/pnpm"
fish_add_path --global --move --path "$PNPM_HOME"

# Java
set -gx JAVAPATH "$(brew --prefix openjdk@21)"
fish_add_path --global --move --path "$JAVAPATH/bin"

# Android
set -gx ANDROID_HOME "$HOME/Library/Android/sdk"
fish_add_path --global --move --path "$ANDROID_HOME/emulator" "$ANDROID_HOME/platform-tools"
